# $Revision: 1.16 $, $Date: 2012/04/02 19:02:03 $
Summary:	xpr applications - printing X window
Summary(pl.UTF-8):	Aplikacje xpr - drukowanie okienek X
Name:		xorg-app-xpr
Version:	1.0.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xpr-%{version}.tar.bz2
# Source0-md5:	6101f04731ffd40803df80eca274ec4b
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xpr takes as input a window dump file produced by xwd and formats it
for output on PostScript printers, the Digital LN03 or LA100, the IBM
PP3812 page printer, the HP LaserJet (or other PCL printers), or the
HP PaintJet.

xdpr uses the commands xwd, xpr, and lpr or lp to dump an X window,
process it for a particular printer type, and print it out on the
printer of your choice.

%description -l pl.UTF-8
xpr przyjmuje na wejściu plik zrzutu okna utworzony przez xwd i
formatuje go do wydruku na drukarkach postscriptowych, Digital LN03
lub LA100, drukarce stronnicowej IBM PP3812, HP LaserJet (albo innych
drukarkach PCL) lub HP PaintJet.

xdpr używa poleceń xwd, xpr i lpr lub lp do wykonania zrzutu okienka
X, przetworzenia go dla danego typu drukarki i wydrukowania go na
wybranej drukarce.

%prep
%setup -q -n xpr-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xdpr
%attr(755,root,root) %{_bindir}/xpr
%{_mandir}/man1/xdpr.1x*
%{_mandir}/man1/xpr.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xpr.spec,v $
Revision 1.16  2012/04/02 19:02:03  qboosh
- updated to 1.0.4

Revision 1.15  2011/01/29 00:07:55  sparky
- dropped pre-cvs changelog

Revision 1.14  2009/10/19 19:49:05  qboosh
- updated to 1.0.3

Revision 1.13  2007/11/09 09:18:59  witekfl
- s|X11/Application|X11/Applications|

Revision 1.12  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2007/01/30 20:59:15  qboosh
- updated to 1.0.2
- real descs from man pages

Revision 1.9  2006/10/15 23:26:46  qboosh
- use individual dir, more verbose files, release 1

Revision 1.8  2006/01/13 08:56:06  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 15:01:12  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
